Lua Error...Need help, urgent.

Hi. Whenever you join my server/Edit a ulx group (who is in it) this happens.

[ERROR] lua/includes/extensions/table.lua:51: bad argument #1 to ‘pairs’ (table expected, got nil)

  1. pairs - [C]:-1
  2. Empty - lua/includes/extensions/table.lua:51
    3. fn - addons/ulx/lua/ulx/modules/cl/xgui_client.lua:428
    4. func - addons/ulib/lua/ulib/client/cl_util.lua:22
    5. unknown - lua/includes/modules/net.lua:30

Any help is appreciated

It’s an issue with ULX. Post an issue on their GitHub.

well i need help now my server is losing ppl

[editline]19th June 2014[/editline]

its when someone leaves/joins

Probably an issue with reloading users, then. Also, how is your server losing people?

lua errors…annoying

Try to reinstall it

Then either report it or don’t use ULX.

I think ULX is only in the stack trace because of a few overrides they have in place- then again, I could be wrong.

That’s why it usually is in the stack trace, however, it points to nothing else besides ULX and default files, meaning it’s a ULX issue.